Ruby: ext/zlib/zlib-1.2.13/contrib/minizip/zip.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Typedefs | Functions
zip.h File Reference
`#include "zlib.h"`
`#include "ioapi.h"`

Go to the source code of this file.

## Data Structures
struct | tm_zip_s
struct | zip_fileinfo

## Macros
#define | Z_BZIP2ED 12
#define | ZIP_OK (0)
#define | ZIP_EOF (0)
#define | ZIP_ERRNO (Z_ERRNO)
#define | ZIP_PARAMERROR (-102)
#define | ZIP_BADZIPFILE (-103)
#define | ZIP_INTERNALERROR (-104)
#define | DEF_MEM_LEVEL MAX_MEM_LEVEL
#define | APPEND_STATUS_CREATE (0)
#define | APPEND_STATUS_CREATEAFTER (1)
#define | APPEND_STATUS_ADDINZIP (2)

## Typedefs
typedef voidp | zipFile
typedef struct tm_zip_s | tm_zip
typedef const char * | zipcharpc

## Functions
zipFile ZEXPORT zipOpen | OF ((const char *pathname, int append))
zipFile ZEXPORT zipOpen64 | OF ((const void *pathname, int append))
zipFile ZEXPORT zipOpen2 | OF ((const char *pathname, int append, zipcharpc *globalcomment, zlib_filefunc_def *pzlib_filefunc_def))
zipFile ZEXPORT zipOpen2_64 | OF ((const void *pathname, int append, zipcharpc *globalcomment, zlib_filefunc64_def *pzlib_filefunc_def))
zipFile ZEXPORT zipOpen3 | OF ((const void *pathname, int append, zipcharpc *globalcomment, zlib_filefunc64_32_def *pzlib_filefunc64_32_def))
int ZEXPORT zipOpenNewFileInZip | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level))
int ZEXPORT zipOpenNewFileInZip64 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int zip64))
int ZEXPORT zipOpenNewFileInZip2 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw))
int ZEXPORT zipOpenNewFileInZip2_64 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int zip64))
int ZEXPORT zipOpenNewFileInZip3 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting))
int ZEXPORT zipOpenNewFileInZip3_64 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting, int zip64))
int ZEXPORT zipOpenNewFileInZip4 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting, uLong versionMadeBy, uLong flagBase))
int ZEXPORT zipOpenNewFileInZip4_64 | OF ((zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting, uLong versionMadeBy, uLong flagBase, int zip64))
int ZEXPORT zipWriteInFileInZip | OF ((zipFile file, const void *buf, unsigned len))
int ZEXPORT zipCloseFileInZip | OF ((zipFile file))
int ZEXPORT zipCloseFileInZipRaw | OF ((zipFile file, uLong uncompressed_size, uLong crc32))
int ZEXPORT zipCloseFileInZipRaw64 | OF ((zipFile file, ZPOS64_T uncompressed_size, uLong crc32))
int ZEXPORT zipClose | OF ((zipFile file, const char *global_comment))
int ZEXPORT zipRemoveExtraInfoBlock | OF ((char *pData, int *dataLen, short sHeader))

## Macro Definition Documentation

## ◆ APPEND_STATUS_ADDINZIP

#define APPEND_STATUS_ADDINZIP (2)

Definition at line 114 of file zip.h.

## ◆ APPEND_STATUS_CREATE

#define APPEND_STATUS_CREATE (0)

Definition at line 112 of file zip.h.

## ◆ APPEND_STATUS_CREATEAFTER

#define APPEND_STATUS_CREATEAFTER (1)

Definition at line 113 of file zip.h.

## ◆ DEF_MEM_LEVEL

#define DEF_MEM_LEVEL MAX_MEM_LEVEL

Definition at line 83 of file zip.h.

## ◆ Z_BZIP2ED

#define Z_BZIP2ED 12

Definition at line 61 of file zip.h.

## ◆ ZIP_BADZIPFILE

#define ZIP_BADZIPFILE (-103)

Definition at line 76 of file zip.h.

## ◆ ZIP_EOF

#define ZIP_EOF (0)

Definition at line 73 of file zip.h.

## ◆ ZIP_ERRNO

#define ZIP_ERRNO (Z_ERRNO)

Definition at line 74 of file zip.h.

## ◆ ZIP_INTERNALERROR

#define ZIP_INTERNALERROR (-104)

Definition at line 77 of file zip.h.

## ◆ ZIP_OK

#define ZIP_OK (0)

Definition at line 72 of file zip.h.

## ◆ ZIP_PARAMERROR

#define ZIP_PARAMERROR (-102)

Definition at line 75 of file zip.h.

## Typedef Documentation

## ◆ tm_zip

typedef struct tm_zip_s tm_zip

## ◆ zipcharpc

typedef const char* zipcharpc

Definition at line 109 of file zip.h.

## ◆ zipFile

typedef voidp zipFile

Definition at line 69 of file zip.h.

## Function Documentation

## ◆ OF() [1/19]

int ZEXPORT zipRemoveExtraInfoBlock OF | ( | (char *pData, int *dataLen, short sHeader) |  | ) |

## ◆ OF() [2/19]

zipFile ZEXPORT zipOpen OF | ( | (const char *pathname, int append) |  | ) |

## ◆ OF() [3/19]

zipFile ZEXPORT zipOpen2 OF | ( | (const char *pathname, int append, zipcharpc *globalcomment, zlib_filefunc_def *pzlib_filefunc_def) |  | ) |

## ◆ OF() [4/19]

zipFile ZEXPORT zipOpen64 OF | ( | (const void *pathname, int append) |  | ) |

## ◆ OF() [5/19]

zipFile ZEXPORT zipOpen3 OF | ( | (const void *pathname, int append, zipcharpc *globalcomment, zlib_filefunc64_32_def *pzlib_filefunc64_32_def) |  | ) |

## ◆ OF() [6/19]

zipFile ZEXPORT zipOpen2_64 OF | ( | (const void *pathname, int append, zipcharpc *globalcomment, zlib_filefunc64_def *pzlib_filefunc_def) |  | ) |

## ◆ OF() [7/19]

int ZEXPORT zipCloseFileInZip OF | ( | (zipFile file) |  | ) |

## ◆ OF() [8/19]

int ZEXPORT zipOpenNewFileInZip OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level) |  | ) |

## ◆ OF() [9/19]

int ZEXPORT zipOpenNewFileInZip2 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw) |  | ) |

## ◆ OF() [10/19]

int ZEXPORT zipOpenNewFileInZip3 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting) |  | ) |

## ◆ OF() [11/19]

int ZEXPORT zipOpenNewFileInZip3_64 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting, int zip64) |  | ) |

## ◆ OF() [12/19]

int ZEXPORT zipOpenNewFileInZip4 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting, uLong versionMadeBy, uLong flagBase) |  | ) |

## ◆ OF() [13/19]

int ZEXPORT zipOpenNewFileInZip4_64 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int windowBits, int memLevel, int strategy, const char *password, uLong crcForCrypting, uLong versionMadeBy, uLong flagBase, int zip64) |  | ) |

## ◆ OF() [14/19]

int ZEXPORT zipOpenNewFileInZip2_64 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int raw, int zip64) |  | ) |

## ◆ OF() [15/19]

int ZEXPORT zipOpenNewFileInZip64 OF | ( | (zipFile file, const char *filename, const zip_fileinfo *zipfi, const void *extrafield_local, uInt size_extrafield_local, const void *extrafield_global, uInt size_extrafield_global, const char *comment, int method, int level, int zip64) |  | ) |

## ◆ OF() [16/19]

int ZEXPORT zipClose OF | ( | (zipFile file, const char *global_comment) |  | ) |

## ◆ OF() [17/19]

int ZEXPORT zipWriteInFileInZip OF | ( | (zipFile file, const void *buf, unsigned len) |  | ) |

## ◆ OF() [18/19]

int ZEXPORT zipCloseFileInZipRaw OF | ( | (zipFile file, uLong uncompressed_size, uLong crc32) |  | ) |

## ◆ OF() [19/19]

int ZEXPORT zipCloseFileInZipRaw64 OF | ( | (zipFile file, ZPOS64_T uncompressed_size, uLong crc32) |  | ) |